tigase.jaxmpp.core.client.xmpp.modules

## Class SessionEstablishmentModule.SessionEstablishmentErrorHandler.SessionEstablishmentErrorEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<SessionEstablishmentModule.SessionEstablishmentErrorHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.SessionEstablishmentModule.SessionEstablishmentErrorHandler.SessionEstablishmentErrorEvent

- Enclosing interface:
    SessionEstablishmentModule.SessionEstablishmentErrorHandler

      public static class SessionEstablishmentModule.SessionEstablishmentErrorHandler.SessionEstablishmentErrorEvent
      extends JaxmppEvent<SessionEstablishmentModule.SessionEstablishmentErrorHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionEstablishmentErrorEvent(SessionObject sessionObject, XMPPException.ErrorCondition error)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(SessionEstablishmentModule.SessionEstablishmentErrorHandler handler)` Invokes handlers method.
    `XMPPException.ErrorCondition` | `getError()`
    `void` | `setError(XMPPException.ErrorCondition error)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionEstablishmentErrorEvent

          public SessionEstablishmentErrorEvent(SessionObject sessionObject,
                                                XMPPException.ErrorCondition error)

  - ### Method Detail

    - #### dispatch

          public void dispatch(SessionEstablishmentModule.SessionEstablishmentErrorHandler handler)
                        throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<SessionEstablishmentModule.SessionEstablishmentErrorHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getError

          public XMPPException.ErrorCondition getError()

    - #### setError

          public void setError(XMPPException.ErrorCondition error)

Copyright © 2006–2019 Tigase. All rights reserved.